Class | Chef::RunList::RunListItem
In: | lib/chef/run_list/run_list_item.rb
Parent: | Object

### Methods

== assert_hash_is_valid_run_list_item! new recipe? role? to_s

### Constants

QUALIFIED_RECIPE | = | %r{^recipe\[([^\]@]+)(@([0-9]+(\.[0-9]+){1,2}))?\]$}
QUALIFIED_ROLE | = | %r{^role\[([^\]]+)\]$}
VERSIONED_UNQUALIFIED_RECIPE | = | %r{^([^@]+)(@([0-9]+(\.[0-9]+){1,2}))$}

### Attributes

name | [R] |
type | [R] |
version | [R] |

### Public Class methods

new(item)

### Public Instance methods

==(other)
assert_hash_is_valid_run_list_item!(item)
recipe?()
role?()
to_s()

[Validate]